import { html as a } from "lit";
import { property as i } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var v = Object.defineProperty, g = Object.getOwnPropertyDescriptor, c = (n, r, s, t) => {
  for (var e = t > 1 ? void 0 : t ? g(r, s) : r, l = n.length - 1, p; l >= 0; l--)
    (p = n[l]) && (e = (t ? p(r, s, e) : p(e)) || e);
  return t && e && v(r, s, e), e;
};
let o = class extends h {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--chevronCollapseLarge", this.class = "c-pieIcon c-pieIcon--chevronCollapseLarge", this.name = "IconChevronCollapseLarge";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--chevronCollapseLarge"><path d="M16 19.9c.488 0 .957.186 1.313.52l7 7.411-1.252 1.208-7.008-7.411h-.097l-7 7.402-1.268-1.199 7-7.411c.355-.334.824-.52 1.312-.52Z"></path><path d="M15.947 10.312h.097l7-7.403 1.268 1.198-7 7.412a1.917 1.917 0 0 1-2.625 0l-7-7.412L8.938 2.9l7.01 7.412Z"></path></svg>`;
  }
};
c([
  i({ type: String, reflect: !0 })
], o.prototype, "size", 2);
c([
  i({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = c([
  f("icon-chevron-collapse-large")
], o);
export {
  o as IconChevronCollapseLarge
};
